function love.load()
	img = love.graphics.newImage("images/love-ball.png")
	speed = 200
	x, y = -64, 32
  lastdt, maxdt=0, 0
end

function love.update(dt)
  if dt>maxdt then maxdt=dt end
  lastdt=dt
	x = x + (speed * dt)
	if x > 800 then
		x = -64
	end
end

function love.draw()
	love.graphics.draw(img, x, y)
	love.graphics.print(love.timer.getFPS(), 0, 0)
	love.graphics.print(string.format('%06.4f', lastdt), 0, 20)
	love.graphics.print(string.format('%06.4f', maxdt), 160, 20)
end
